﻿using AduSkin.Controls.Metro;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Linq;

namespace JianGongYun.TRTC.Windows
{
    /// <summary>
    /// LiveWindow.xaml 的交互逻辑
    /// </summary>
    public partial class LiveWindow : MetroWindow
    {
        ViewModels.LiveWindowViewModel LiveWindowViewModel;
        public LiveWindow()
        {
            InitializeComponent();
            LiveWindowViewModel =new ViewModels.LiveWindowViewModel();
            this.DataContext = LiveWindowViewModel;
            BorderBrush = new SolidColorBrush(color: Color.FromRgb(42, 43, 48));//窗口标题背景颜色

        }
        private void aaaa(object sender, RoutedEventArgs e)
        {
            LiveWindowViewModel.StudentCount++;
        }

        //设置按钮
        private void Setting_Btn_Click(object sender, RoutedEventArgs e)
        {
            var settingWindow = SettingWindow.GetInstance();
            settingWindow.Show();
            if (settingWindow.WindowState != WindowState.Normal)
            {
                settingWindow.WindowState = WindowState.Normal;
            }
            settingWindow.Topmost = true;
        }
    }
}
